%global srcname contextily
%global version_ 1.0rc2

# Some tests require the network.
%bcond_with network

Name:           python-%{srcname}
Version:        1.0~rc2
Release:        1%{?dist}
Summary:        Context geo-tiles in Python

License:        BSD
URL:            https://github.com/darribas/contextily
Source0:        %{url}/archive/v%{version_}/%{srcname}-%{version}.tar.gz
# Fix tests https://github.com/darribas/contextily/pull/98
Patch0001:      https://github.com/darribas/contextily/commit/dc6746f4499bd46750e96da6b534d23f13e7be65.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(geopy)
BuildRequires:  python3dist(joblib)
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(mercantile)
BuildRequires:  python3dist(pillow)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(rasterio)
BuildRequires:  python3dist(requests)

%description
contextily is a small Python 3 package to retrieve and write to disk tile maps
from the internet into geospatial raster files. Bounding boxes can be passed in
both WGS84 (EPSG:4326) and Spheric Mercator (EPSG:3857).


%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
contextily is a small Python 3 package to retrieve and write to disk tile maps
from the internet into geospatial raster files. Bounding boxes can be passed in
both WGS84 (EPSG:4326) and Spheric Mercator (EPSG:3857).


%prep
%autosetup -n %{srcname}-%{version_} -p1

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%if %{with network}
pytest-3
%else
pytest-3 \
    -k 'not test_add_basemap and \
        not test_basemap_attribution and \
        not test_bounds2img and \
        not test_bounds2raster and \
        not test_ll2wdw and \
        not test_place and \
        not test_plot_map and \
        not test_warp_img_transform and \
        not test_warp_tiles' \
    tests/test_ctx.py
pytest-3 \
    -k 'test_providers_callable or test_invalid_provider or test_provider_attribute_access' \
    tests/test_providers.py
%endif

%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version_}-py*.egg-info

%changelog
* Sat Feb 22 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.0~rc2-1
- Update to latest release candidate

* Fri Feb 14 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.99.0-1
- Initial package.
